## NAME

r.resamp.filter - Resamples raster map layers using an analytic kernel.

## KEYWORDS

raster, resample, kernel filter

## SYNOPSIS

r.resamp.filter
r.resamp.filter --help
r.resamp.filter [-n] input=name output=name filter=string[,string,...] [radius=float[,float,...]] [x_radius=float[,float,...]] [y_radius=float[,float,...]] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Propagate NULLs
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
output=name [required]
  Name for output raster map
filter=string[,string,...] [required]
  Filter kernel(s)
  Options: box, bartlett, gauss, normal, hermite, sinc, lanczos1, lanczos2, lanczos3, hann, hamming, blackman
radius=float[,float,...]
  Filter radius
x_radius=float[,float,...]
  Filter radius (horizontal)
y_radius=float[,float,...]
  Filter radius (vertical)

## DESCRIPTION

r.resamp.filter resamples an input raster, filtering the input with an analytic kernel.

All of the kernels specified by the filter= option are multiplied together. Typical usage will use either a single kernel or an infinite kernel along with a finite window.

## NOTES

Resampling modules (r.resample, r.resamp.stats, r.resamp.interp, r.resamp.rst, r.resamp.filter) resample the map to match the current region settings.

When using a kernel which can have negative values (sinc, Lanczos), the -n flag should be used. Otherwise, extreme values can arise due to the total weight being close (or even equal) to zero.

Kernels with infinite extent (Gauss, normal, sinc, Hann, Hamming, Blackman) must be used in conjunction with a finite windowing function (box, Bartlett, Hermite, Lanczos)

For longitude-latitude locations, the interpolation algorithm is based on degree fractions, not on the absolute distances between cell centers. Any attempt to implement the latter would violate the integrity of the interpolation method.

## SEE ALSO

g.region, r.resample, r.resamp.rst r.resamp.stats

## AUTHOR

Glynn Clements

Last changed: $Date: 2011-11-08 22:24:20 +0100 (út, 08 XI 2011) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual